summaryrefslogtreecommitdiffstats
path: root/ci/qemuConfigValidate.sh
diff options
context:
space:
mode:
authorJiang, Yunhong <yunhong.jiang@intel.com>2017-02-22 22:19:02 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-02-22 22:19:02 +0000
commitd0deb639c35881c25f2b5ca77d64de0d4c649841 (patch)
tree2b6a4715ffc6551332ffe31f51d7c2c94dd3e763 /ci/qemuConfigValidate.sh
parentf156e825018f6cdd996406aede3f821fc1f9fcb1 (diff)
parent843dfef73c86a8ad71afe36e2db9e711dddc199a (diff)
Merge "Combine the common code for kernel building on deb/rpm"
Diffstat (limited to 'ci/qemuConfigValidate.sh')
-rwxr-xr-xci/qemuConfigValidate.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/ci/qemuConfigValidate.sh b/ci/qemuConfigValidate.sh
new file mode 100755
index 000000000..f80526b60
--- /dev/null
+++ b/ci/qemuConfigValidate.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+qemu_src_dir=qemu
+workspace=/root
+#scripts_dir=ci/build_deb
+VERSION=`grep -m 1 "VERSION" ${qemu_src_dir}/config-host.mak | cut -d= -f2-`
+
+function show_stage {
+ echo
+ echo $1
+ echo
+}
+
+function qemu_build_validate {
+ show_stage "validate"
+ if [[ -z "$@" ]]; then
+ echo "usage: ${0} output_dir pkgtype"
+ exit 1
+ fi
+ output_dir="$1"
+ pkgtype="$2"
+ if [ ! -d ${output_dir} -o ! -w ${output_dir} ] ; then
+ echo "${0}: Output directory '${output_dir}' does not exist or cannot be written"
+ exit 1
+ fi
+ if [ ! -d ${qemu_src_dir} ] ; then
+ echo "${0}: Directory '${qemu_src_dir}' does not exist, run this script from the root of kvmfornfv source tree"
+ exit 1
+ fi
+ echo
+ echo "Build"
+ echo
+}
+